using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Mhp.Descriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0x15, "AIT")]
    class SimpleApplicationLocationDescriptor : TsDescriptor

    {
        public SimpleApplicationLocationDescriptor(byte[] buffer)
        {
            InitialPath = Encoding.ASCII.GetString(buffer);
            Valid = true;
        }

        public string InitialPath { get; private set; }
    }
}
